APK Downloader
This API allows you to search for Android applications and retrieve direct download links. It fetches the latest version available from the internet, regardless of regional restrictions and app store requirements.
Endpoint
Section titled “Endpoint” POST
/api/v1/apk Request Parameters
Section titled “Request Parameters”The following parameters are accepted in the request body:
| Field | Type | Required | Description |
|---|---|---|---|
query | string | Yes | The app name |
Request Examples
Section titled “Request Examples”Choose your preferred method to interact with the APK API:
curl -X POST https://heavstal.com.ng/api/v1/apk \-H "Content-Type: application/json" \-H "x-api-key: <YOUR_API_KEY>" \-d '{"query": "Telegram"}'const response = await fetch('https://heavstal.com.ng/api/v1/apk', { method: 'POST', headers: { 'Content-Type': 'application/json', 'x-api-key': '<YOUR_API_KEY>' }, body: JSON.stringify({ query: 'Telegram' })});
const res = await response.json();console.log(res.data.download_link);import { search } from '@heavstal/api';
const app = await search.apk("WhatsApp");console.log(`Version: ${app.version} | Link: ${app.dl_url}`);import requests
url = "https://heavstal.com.ng/api/v1/apk"headers = { "Content-Type": "application/json", "x-api-key": "<YOUR_API_KEY>"}payload = { "query": "Telegram"}
response = requests.post(url, headers=headers, json=payload)print(response.json()["data"]["download_link"])Response Examples
Section titled “Response Examples”{ "status": "success", "creator": "HEAVSTAL TECH", "data": { "name": "Telegram", "package": "org.telegram.messenger", "version": "10.6.1", "size": "75.4 MB", "icon": "https://pool.img.aptoide.com/...", "download_link": "https://pool.apk.aptoide.com/..." }}{ "status": "error", "error": "Application matching the query not found."}